# $Revision: 1.315.2.25 $, $Date: 2011/02/02 19:13:02 $
# TODO:
# - fails to build without poldek-devel - fix it !
#
# Conditional build:
%bcond_with	static	# don't use shared libraries
%bcond_without	imode	# don't build interactive mode
%bcond_without	python	# don't build python bindings

# required versions (forced to avoid SEGV with mixed db used by rpm and poldek)
%define	ver_db	4.3.27-1
%define	ver_rpm	4.4.9-1

%define		snap	rc2
%define		rel		1%{pld_release}
Summary:	RPM packages management helper tool
Summary(hu.UTF-8):	RPM csomagkezelést segítő eszköz
Summary(pl.UTF-8):	Pomocnicze narzędzie do zarządzania pakietami RPM
Name:		poldek
Version:	0.30
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		Applications/System
#Source0:	http://poldek.pld-linux.org/download/snapshots/%{name}-%{version}-cvs%{snap}.tar.bz2
Source0:	http://carme.pld-linux.org/~megabajt/snaps/poldek/%{name}-%{version}%{snap}.tar.bz2
# Source0-md5:	98806c2c6c8b5b840e7cfde6164fdeb4
Source1:	%{name}.conf
Source2:	%{name}-multilib.conf
Source5:	%{name}-aliases.conf
Source6:	%{name}.desktop
Source7:	%{name}.png
Patch100:	%{name}-dirdeps.patch
Patch0:		%{name}-vserver-packages.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-size-type.patch
Patch4:		ac-prog-libtool.patch
URL:		http://poldek.pld-linux.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	check-devel
BuildRequires:	db-devel >= %{ver_db}
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_python:BuildRequires:	python-devel}
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpm-devel >= %{ver_rpm}
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if %{with static}
BuildRequires:	bzip2-static
BuildRequires:	db-static >= %{ver_db}
BuildRequires:	glibc-static
BuildRequires:	libselinux-static
BuildRequires:	libxml2-static
BuildRequires:	ncurses-static
BuildRequires:	openssl-static
BuildRequires:	pcre-static
BuildRequires:	popt-static
BuildRequires:	readline-static
BuildRequires:	rpm-static
BuildRequires:	zlib-static
%endif
Requires(triggerpostun):	awk
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	db >= %{ver_db}
Requires:	openssl >= 0.9.7d
Requires:	rpm >= %{ver_rpm}
Requires:	rpm-lib = %(rpm -q --qf '%{V}' rpm-lib)
# vf* scripts use sed
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal.

Program can be used in batch (like apt-get from Debian's APT) or
interactive mode. The interactive mode puts you into a readline
interface with command line autocompletion and history, similar to the
shell mode of Perl's CPAN.

%{?with_static:This version is statically linked.}

%{!?with_imode:This version hasn't got interactive mode.}
#'vim

%description -l hu.UTF-8
poldek egy RPM csomagkezelő eszköz, amely megkönnyíti a
csomagellenőrzést, telepítést (beleértve a rendszertelepítést a
nulláról), frissítést és eltávolítást.

A program használható parancssorból (mint a Debian apt-get programja)
vagy interaktív módban. Az interaktív mód egy readline környezetet
jelent, parancskiegészítéssel és előzményekkel, hasonlóan a Perl CPAN
shell módjához.

%{?with_static:Ez a verzió statikusan linkelt.}

%{!?with_imode:Ennek a verziónak nincs interaktív módja.}

%description -l pl.UTF-8
poldek jest narzędziem linii poleceń służącym do weryfikacji,
instalacji (włączając instalację systemu od zera), aktualizacji i
usuwania pakietów.

Program może być używany w trybie wsadowym (jak debianowy apt-get) lub
interaktywnym. Tryb interaktywny posiada interfejs readline z
dopełnianiem komend i historią, podobny do trybu shell perlowego
modułu CPAN.

%{?with_static:Ta wersja jest konsolidowana statycznie.}

%{!?with_imode:Ta wersja nie posiada trybu interaktywnego.}

%package libs
Summary:	poldek libraries
Summary(hu.UTF-8):	A poldek könyvtárai
Summary(pl.UTF-8):	Biblioteki poldka
Group:		Libraries

%description libs
poldek libraries.

%description libs -l hu.UTF-8
A poldek könyvtárai.

%description libs -l pl.UTF-8
Biblioteki poldka.

%package devel
Summary:	Header files for poldek libraries
Summary(hu.UTF-8):	A poldek könyvtár fejlesztői fájljai
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek poldka
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rpm-devel >= %{ver_rpm}

%description devel
Header files for poldek libraries.

%description devel -l hu.UTF-8
A poldek könyvtár fejlesztői fájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek poldka.

%package static
Summary:	poldek static libraries
Summary(hu.UTF-8):	poldek statikus könyvtárak
Summary(pl.UTF-8):	Biblioteki statyczne poldka
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
poldek static libraries.

%description static -l hu.UTF-8
poldek statikus könyvtárak.

%description static -l pl.UTF-8
Biblioteki statyczne poldka.

%package -n python-poldek
Summary:	Python modules for poldek
Summary(hu.UTF-8):	Python modulok poldek-hez
Summary(pl.UTF-8):	Moduły języka Python dla poldka
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-poldek
Python modules for poldek.

%description -n python-poldek -l hu.UTF-8
Python modulok poldek-hez.

%description -n python-poldek -l pl.UTF-8
Moduły języka Python dla poldka.

%prep
%setup -q
%patch100 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1

rm -f m4/libtool.m4 m4/lt*.m4

# cleanup backups after patching
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
cp -f config.sub trurlib

CPPFLAGS="-std=gnu99"
%configure \
	%{?with_static:--enable-static --disable-shared} \
	%{!?with_imode:--disable-imode} \
	--enable-nls \
	%{?with_python:--with-python}
%{__make}
#	--enable-trace

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/repos.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
%{__make} -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{py_sitedir}
%endif

%{?with_static:rm -f $RPM_BUILD_ROOT%{_bindir}/rpmvercmp}

%ifarch i386 i586 i686 ppc sparc alpha athlon
%define		_ftp_arch	%{_target_cpu}
%endif
%ifarch %{x8664}
%define		_ftp_arch	amd64
%define		_ftp_alt_arch	i686
%endif
%ifarch i486
%define		_ftp_arch	i386
%endif
%ifarch pentium2 pentium3 pentium4
%define		_ftp_arch	i686
%endif
%ifarch sparcv9 sparc64
%define		_ftp_arch	sparc
%endif

%{?with_static:rm -f $RPM_BUILD_ROOT%{_bindir}/rpmvercmp}

sed -e '
	s|%%ARCH%%|%{_ftp_arch}|g
' < %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/repos.d/pld.conf

%ifarch %{x8664}
sed '
	s|%%ARCH%%|%{_ftp_alt_arch}|g
' < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/repos.d/pld-multilib.conf
%endif

install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/cli.conf

%if %{with imode}
# add desktop file and icon
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
cp -a %{SOURCE6} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
cp -a %{SOURCE7} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
%endif

# sources we don't package
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{rh,pld,fedora,centos}-source.conf
# include them in %doc
rm -rf configs
cp -a conf configs
rm -f configs/Makefile*

%if %{with python}
%py_postclean
rm -f $RPM_BUILD_ROOT%{py_sitedir}/_poldekmod.la
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "1" ]; then
	# remove ignore = vserver-packages inside vserver on first install
	{
		while read f ctx; do
			[ "$f" = "VxID:" -o "$f" = "s_context:" ] && break
		done </proc/self/status
	} 2>/dev/null
	if [ -z "$ctx" -o "$ctx" = "0" ]; then
		VSERVER=no
	else
		VSERVER=yes
	fi
	if [ "$VSERVER" = "yes" ]; then
		%{__sed} -i -e '/^ignore/s/vserver-packages//' %{_sysconfdir}/%{name}/poldek.conf
	fi
fi

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- poldek < 0.19.0-1.20050613.22.0
if [ -f /etc/poldek.conf.rpmsave ]; then
	awk '/^source/ {
	name = $3;
	path = $4;
	auto = "yes";
	autoup = "yes";
	type = "pdir";
	pri = "";

	if (sub(",noauto", "", name)) {
		auto = "no";
	}

	# process pri=\d+
	if (match(name, /,pri=[0-9]+/)) {
		pri = substr(name, RSTART + 5, RLENGTH - 5);
		name = substr(name, 1, RSTART - 1) substr(name, RSTART + RLENGTH);
	}

	# skip ac sources. already in new config.
	if (name !~ /^ac(-(ready|test|supported|updates-(general|security)))?$/) {
		print "";
		print "[source]";
		print "name = " name;
		print "type = " type;
		print "path = " path;
		print "auto = " auto;
		print "autoup = " autoup;
		if (pri) {
			print "pri = " pri;
		}
	}

	}' < /etc/poldek.conf.rpmsave >> /etc/poldek/source.conf
	echo "Converted old custom sources from /etc/poldek.conf.rpmsave to new poldek format in /etc/poldek/source.conf"

	# copy hold=
	hold=$(grep ^hold /etc/poldek.conf.rpmsave)
	if [ "$hold" ]; then
		sed -i -e "/^#hold =/s/^.*/$hold/" /etc/poldek/poldek.conf
	fi
fi

%triggerpostun -- poldek < 0.30-0.20080225.00.1
if ! grep -q '^%%includedir repos.d' %{_sysconfdir}/%{name}/poldek.conf; then
	%{__sed} -i -e '/^%%include source.conf/{
		a
		a# /etc/poldek/repos.d/*.conf
		a%%includedir repos.d
	}' %{_sysconfdir}/%{name}/poldek.conf
fi

%{__sed} -i -e '/%%include %%{_distro}-source.conf/d' %{_sysconfdir}/%{name}/poldek.conf
%{__sed} -i -e '/%%include %%{_distro}-multilib-source.conf/d' %{_sysconfdir}/%{name}/poldek.conf

if [ -f %{_sysconfdir}/%{name}/pld-source.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/%{name}/repos.d/pld.conf{,.rpmnew}
	mv -f %{_sysconfdir}/%{name}/pld-source.conf.rpmsave %{_sysconfdir}/%{name}/repos.d/pld.conf
	%{__sed} -i -e 's,_pld_arch,_arch,g;s,_ac_idxtype,_type,g;s,_pld_prefix,_prefix,g' \
		 %{_sysconfdir}/%{name}/repos.d/pld.conf
fi

%ifarch %{x8664}
if [ -f %{_sysconfdir}/%{name}/pld-multilib-source.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/%{name}/repos.d/pld-multilib.conf{,.rpmnew}
	mv -f %{_sysconfdir}/%{name}/pld-multilib-source.conf.rpmsave %{_sysconfdir}/%{name}/repos.d/pld-multilib.conf
	%{__sed} -i -e 's,_pld_arch,_arch,g;s,_ac_idxtype,_type,g;s,_pld_prefix,_prefix,g' \
		 %{_sysconfdir}/%{name}/repos.d/pld-multilib.conf
fi
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README* NEWS TODO configs
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/repos.d/*.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_mandir}/man1/%{name}*
%lang(pl) %{_mandir}/pl/man1/%{name}*
%{_infodir}/poldek.info*
%if %{with imode}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%endif

%if %{without static}
%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoclidek.so.*.*.*
%attr(755,root,root) %{_libdir}/libpoldek.so.*.*.*
%attr(755,root,root) %{_libdir}/libtndb.so.*.*.*
%attr(755,root,root) %{_libdir}/libtrurl.so.*.*.*
%attr(755,root,root) %{_libdir}/libvfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoclidek.so.0
%attr(755,root,root) %ghost %{_libdir}/libpoldek.so.2
%attr(755,root,root) %ghost %{_libdir}/libtndb.so.0
%attr(755,root,root) %ghost %{_libdir}/libtrurl.so.0
%attr(755,root,root) %ghost %{_libdir}/libvfile.so.0
%endif

%files devel
%defattr(644,root,root,755)
%{!?with_static:%attr(755,root,root) %{_libdir}/lib*.so}
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{with python}
%files -n python-poldek
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_poldekmod.so
%{py_sitescriptdir}/poldek.py[co]
%{py_sitescriptdir}/poldekmod.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poldek.spec,v $
Revision 1.315.2.25  2011/02/02 19:13:02  glen
- up to rc2

Revision 1.315.2.24  2010/08/22 19:26:10  glen
- fix broken makefile (there may be tabs only)

Revision 1.315.2.23  2010/08/22 15:51:56  glen
- updated to 0.30-pre1 from HEAD

Revision 1.315.2.22  2010/04/13 21:26:35  glen
- up to rel 41 with zlib fixes

Revision 1.315.2.21  2010/02/08 15:02:52  glen
- synced patches with head up to rel .36

Revision 1.315.2.20  2009/03/06 14:29:51  glen
- keep base rel 15

Revision 1.315.2.19  2009/03/03 23:29:13  glen
- add -po.patch; LP#337444

Revision 1.315.2.18  2009/02/26 22:49:20  glen
- add -size-type, no-inlines, export-missing-symbol, skip-suggests-on-upgrade patches from HEAD; rel 22

Revision 1.315.2.17  2009/01/26 18:46:44  glen
- merge with HEAD

Revision 1.315.2.16  2009/01/26 17:14:42  glen
- HEAD merges

Revision 1.315.2.15  2009/01/26 17:11:04  glen
- changes

Revision 1.315.2.14  2008/12/08 12:35:56  glen
- add patches from HEAD
- run erase with ontty

Revision 1.315.2.13  2008/11/24 00:33:50  glen
- add -upgrade-dist.patch, -keep-reinstalled-provides.patch, -dont-ask-for-suggests-on-errors.patch

Revision 1.315.2.12  2008/11/19 00:58:12  glen
- color bugfix for not picking pkg updates for c=2 pkg if new is c=0. LP#299685; rel .5

Revision 1.315.2.11  2008/08/27 21:25:20  glen
- sync with HEAD (20080820.23 snap)

Revision 1.315.2.10  2008/08/14 16:23:28  glen
- catch up with HEAD

Revision 1.315.2.9  2008/06/10 10:50:59  glen
- bug #158 fix

Revision 1.315.2.8  2008-06-05 10:38:04  glen
- up to snap 20080604.13 (from HEAD)

Revision 1.315.2.7  2008-05-20 15:07:04  glen
- 20080519.22 update from HEAD

Revision 1.315.2.6  2008-04-23 18:36:46  glen
- rel 0.20080225.00.0.5

Revision 1.315.2.5  2008-04-23 18:25:21  glen
- merge from AC-branch

Revision 1.315.2.4  2008-04-23 18:22:31  glen
- merge from HEAD

Revision 1.315.2.3  2008-03-03 21:55:41  glen
- HEAD update

Revision 1.315.2.2  2008-03-02 23:23:34  glen
- add repos.d, remove centos source

Revision 1.315.2.1  2008-02-29 18:32:53  glen
- try 0.30 from HEAD

Revision 1.315  2008-02-26 20:03:25  mis
- source is available

Revision 1.314  2008-02-26 16:31:58  arekm
- enable gnu99

Revision 1.313  2008-02-26 16:25:53  arekm
- prepare for new snap 0.30 (will be available later)

Revision 1.312  2008-02-20 21:00:05  glen
- identify me

Revision 1.311  2008-02-20 20:58:01  glen
- sources should not be bconded

Revision 1.310  2008-02-20 20:57:42  glen
- release 15

Revision 1.309  2008-02-20 20:51:18  megabajt
- added -reversed-prompt.patch (fixes #92)
- release 14

Revision 1.308  2008-02-06 20:50:17  glen
- revert crap commit

Revision 1.306  2008-02-06 20:47:35  glen
- never use '<=' in trigger comparision (drop old triggers); rel 13

Revision 1.305  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.304  2008-01-10 11:11:41  glen
- require rpm-lib from same rpm that poldek was built with; rel .12

Revision 1.303  2008-01-07 22:17:03  arvenil
- added desktop file and icon
- icon by Karol Kreński (mimooh) <mimooh@inf.sgsp.edu.pl> adapted as icon by arvenil;
  source: http://www.inf.sgsp.edu.pl/pub/MALUNKI_DUZE/ROZNE_DUZE/poldek.xcf.gz

Revision 1.302  2007-12-30 22:06:58  glen
- rel 10

Revision 1.301  2007-12-25 21:51:33  glen
- rel 9

Revision 1.300  2007-12-18 07:26:31  glen
- _rel/_snap/_rc and few others handled by adapter and other tools so add it back

Revision 1.299  2007-11-26 17:27:51  megabajt
- added suggests-one-package patch which:
- fixes #38 (poldek suggests already installed packages)
- adds one future (user can choose each suggested package separately)
- release 8

Revision 1.298  2007-11-22 17:18:05  arekm
- rel 7; make '.' dir become getcwd() one to prevent system trash on '--install-dist .'.

Revision 1.297  2007-11-18 13:45:57  arekm
- rel .6 ; add nohold fix from ac-branch

Revision 1.296  2007-09-27 17:29:01  hawk
- release 5 (for Titanium)

Revision 1.295  2007/09/23 13:51:20  arekm
- rel .4; fix segfault at install-dist

Revision 1.294  2007/07/26 14:56:25  arekm
- rel .3; rebuild with db4.6

Revision 1.293  2007/07/16 20:18:31  mis
- uri encoding bug workaround patch

Revision 1.292  2007/07/04 13:54:08  mis
- patched

Revision 1.291  2007/07/02 22:45:53  mis
- becoming stable

Revision 1.290  2007/06/30 12:17:17  mis
- patched (#34)

Revision 1.289  2007/06/28 15:56:24  mis
- patched ("assertion failed" when running as root)

Revision 1.288  2007/06/28 05:00:51  glen
- BR: pkgconfig

Revision 1.287  2007/06/27 22:23:34  mis
- ops, md5

Revision 1.286  2007/06/27 22:19:10  mis
- yet another snap (see bugzilla for bugfixes)

Revision 1.285  2007/06/23 20:13:20  mis
- next snap with (hope) fixed FPE

Revision 1.284  2007/06/22 18:34:13  mis
- updated to today snap

Revision 1.283  2007/06/21 20:27:56  glen
- avoid packaging *~

Revision 1.282  2007/06/21 14:59:23  baggins
- more strict rpm req
- rel .2

Revision 1.281  2007/06/20 20:38:20  glen
- R: sed back until somebody wishes to rewrite vf* scripts in shell

Revision 1.280  2007/06/20 15:33:53  arekm
- up to 20070620.10

Revision 1.279  2007/06/20 00:20:26  glen
- does not require sed

Revision 1.278  2007/06/19 15:32:19  mis
- next one

Revision 1.277  2007/06/18 16:19:53  mis
- patched

Revision 1.276  2007/06/18 09:44:36  mis
- next snap (multilib bugfix)

Revision 1.275  2007/06/18 06:48:51  glen
- use macros

Revision 1.274  2007/06/17 21:35:53  mis
- brand new snap

Revision 1.273  2007/06/17 16:39:54  arekm
- rel .15; fixes uname() problems

Revision 1.272  2007/06/16 18:04:04  arekm
- rel .14; one more rpmvercmp fix

Revision 1.271  2007/06/15 10:22:36  arekm
- rel 13; fix rpmvercmp

Revision 1.270  2007/06/13 21:05:55  arekm
- rel rpm 1/ poldek .12

Revision 1.269  2007/06/07 17:42:30  arekm
- rel 11; more hackery needed for rpm 4.4.9 && rpmPlatformScore

Revision 1.268  2007/06/07 16:45:03  arekm
- rel .10

Revision 1.267  2007/06/07 16:39:22  arekm
- rel .9; fix typo in rpm-4.4.9 patch

Revision 1.266  2007/06/05 18:41:54  arekm
- rel 8

Revision 1.265  2007/05/31 16:09:36  witekfl
- added the desc_in_utf8.patch

Revision 1.264  2007/05/27 09:50:33  arekm
- rel 6

Revision 1.263  2007/05/23 15:29:37  patrys
- builds and seems to work fine with rpm 4.4.9

Revision 1.262  2007/05/21 20:59:11  adamg
- BR: rpm-pythonprov

Revision 1.261  2007/05/20 23:35:26  arekm
- fix for rpm 4.4.8

Revision 1.260  2007/04/15 19:35:03  tommat
- added poldek-configure_in.patch workaround

Revision 1.259  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.258  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.257  2007/02/09 22:52:48  arekm
- rel .3; fix multilib config

Revision 1.256  2007/01/22 10:48:59  arekm
- rel .2

Revision 1.255  2007/01/08 21:44:46  mis
- next snap

Revision 1.254  2007/01/05 14:20:04  arekm
- rel 1 for rpm 4.4.7

Revision 1.253  2007/01/05 14:11:29  arekm
- up to cvs snap 20070105

Revision 1.252  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.251  2006/10/30 07:55:29  cieciwa
- back ver_db and ver_rpm,
- release .6

Revision 1.250  2006/10/29 11:03:37  cieciwa
- db_ver = 4.5

Revision 1.249  2006/10/29 10:56:12  cieciwa
- rpm_version 4.4.7

Revision 1.248  2006/10/29 10:51:12  cieciwa
- release .5

Revision 1.247  2006/10/23 07:01:20  cieciwa
- release .4

Revision 1.246  2006/09/29 23:59:09  pluto
- bump release for rebuild with db4.5.

Revision 1.245  2006/09/11 21:43:52  mis
- SIGSEV patch; release 2

Revision 1.244  2006/08/23 20:06:57  mis
- next snap, fixes yet another n_assert()

Revision 1.243  2006/08/22 15:55:45  arekm
- new snap

Revision 1.242  2006/08/21 16:08:34  mis
- proper source md5

Revision 1.241  2006/08/21 16:03:06  mis
- next snap (python module fixes)

Revision 1.240  2006/08/21 12:28:54  arekm
- small as neede fix

Revision 1.239  2006/08/21 11:44:31  mis
- poor distfiles

Revision 1.238  2006/08/21 11:33:13  mis
- snap with rpm 4.4.6 support

Revision 1.237  2006/08/06 14:08:34  pluto
- apply multilib patch only for x86-64.

Revision 1.236  2006/08/06 13:01:56  cieciwa
- added BR: xmlto

Revision 1.235  2006/07/26 18:28:18  arekm
- playing with new poldek from cvs

Revision 1.234  2006/06/07 14:06:28  sparky
- missing %if %{with python}

Revision 1.233  2006/06/07 10:15:17  qboosh
- added python bindings (following AC-branch)

Revision 1.232  2006/05/31 19:59:24  glen
- keep multilib config in separate sourcefile

Revision 1.231  2006/05/31 19:49:22  glen
- add config patch (from AC-branch)

Revision 1.230  2006/05/15 13:41:11  glen
- ignore vserver-packages, rel 6

Revision 1.229  2006/05/11 11:57:28  glen
- preserve trailing whitespaces in history (#5777)

Revision 1.228  2006/03/19 14:58:08  freetz
- updated cvs patch for (overloaded provides problem)
  http://bugs.pld-linux.org/index.php?do=details&id=5762, rel.5

Revision 1.227  2006/03/13 09:15:02  glen
- adapter was here

Revision 1.226  2006/03/13 09:14:35  glen
- merge pri= parsing from AC-branch

Revision 1.225  2006/03/03 21:56:16  qboosh
- complete URL

Revision 1.224  2006/03/03 17:13:23  wiget
- new Source0 URL

Revision 1.223  2006/03/03 15:32:44  spider
- propper url

Revision 1.222  2006/02/06 17:56:34  arekm
- rel 4

Revision 1.221  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.220  2005/11/27 20:44:40  glen
- no need to copy use_sudo, it's enabled automatically for non-root users
- shorten migrate message

Revision 1.219  2005/11/23 11:46:04  pluto
- release 3 for Th.

Revision 1.218  2005/11/23 09:43:19  pluto
- use x8664 macro.

Revision 1.217  2005/11/23 08:38:07  pluto
- config updated for Th.

Revision 1.216  2005/11/22 07:04:09  qboosh
- release 2.2

Revision 1.215  2005/11/22 06:54:36  qboosh
- merged cvs-fixes,ask-abort patches from AC-branch

Revision 1.214  2005/11/21 21:39:39  wolf
- add rpm 4.4.3 patch
- add obsoletes patch

Revision 1.213  2005/11/04 17:44:14  qboosh
- merged 0.20 from AC-branch

Revision 1.212  2005/10/19 18:15:52  qboosh
- merged update to 0.18.9.1 from AC-poldek-0_18 branch

Revision 1.211  2005/07/26 12:10:16  qboosh
- merged update to 0.18.9 from AC-branch
  - removed obsolete gcc4,cookie,rpmcmd,fmtime patches
-  - added prereq patch (handle dropped legacy PreReq support in rpm 4.4)

Revision 1.210  2005/06/26 18:27:49  baggins
- release 11
- s/rpmcmd/pmcmd/ for compat with 0.19

Revision 1.209  2005/06/26 12:19:13  speedy
- blah, release 10

Revision 1.208  2005/06/26 12:17:52  speedy
- fmtime patch, release 9

Revision 1.207  2005/05/23 17:40:42  baggins
- release 7
- let Th also have rpmcmd patch to avoid nasty surprises later

Revision 1.206  2005/04/29 19:12:09  qboosh
- simplified attr

Revision 1.205  2005/04/29 18:08:12  paszczus
- adapratized

Revision 1.204  2005/04/26 12:18:57  arekm
- rel 6

Revision 1.203  2005/04/12 08:59:42  qboosh
- dropped distver stuff (use rpm's DistTag instead)

Revision 1.202  2005/04/12 08:59:04  qboosh
- added cookie patch (bugfix, avoid small forward fseeks) to make poldek
  usable with glibc 2.3.5

Revision 1.201  2005/03/21 21:58:20  mmazur
- rel 5 for th

Revision 1.200  2005/03/21 18:22:42  mmazur
- Req from db-* not dbX.Y-* (dbX.Y.spec's provide db-*)

Revision 1.199  2005/03/20 11:04:40  mmazur
- rel4; gcc4 fix

Revision 1.198  2005/03/20 09:49:28  mmazur
- db4.3

Revision 1.197  2005/03/14 11:58:19  hawk
- release 3 (2 for Ra)

Revision 1.196  2004/12/30 15:22:00  radek
- version 0.18.8
- removed applied patches: -po, -n_free, -transfer_rate, -capreq,
                           -fix_ls_output, depfix-pkgdrags

Revision 1.195  2004/12/29 14:46:57  qboosh
- autoheader

Revision 1.194  2004/12/29 14:29:28  qboosh
- -p0

Revision 1.193  2004/12/29 14:28:58  qboosh
- added depfix-pkgdrags patch from author; release 6

Revision 1.192  2004/12/11 00:49:24  ankry
- rel. 5

Revision 1.191  2004/12/01 19:13:31  patrys
- added my patch to fix the ls command in 0.18.7
- rel. up to 4
- STBR ASAP

Revision 1.190  2004/12/01 16:49:19  pluto
- temp. workaround for new rpm's api (thx. to Miś).

Revision 1.189  2004/11/25 11:17:15  qboosh
- _sysconfdir unification

Revision 1.188  2004/11/18 19:16:19  twittner
- "optional patch should be the last patch" - put patches in order.

Revision 1.187  2004/11/16 22:03:37  krolik
- fixed problem with ifo about total rate and transfer, rel 3

Revision 1.186  2004/11/13 18:42:50  twittner
- n_free() is superfluous and duplicates free() work - don't use it

Revision 1.185  2004/11/04 13:27:47  ankry
- typo

Revision 1.184  2004/11/04 11:15:27  ankry
- PLD-exotic arch support

Revision 1.183  2004/10/20 23:17:51  ankry
- trigger fix

Revision 1.182  2004/10/11 19:55:41  ankry
- trigger

Revision 1.181  2004/10/11 19:48:50  ankry
- OOPS, it is rpm's spec...

Revision 1.180  2004/10/11 19:46:19  ankry
- distributed ftp, rel. 2

Revision 1.179  2004/09/25 15:50:54  radek
- release 1, works

Revision 1.178  2004/09/25 15:46:31  radek
- removed -progress2 -deps-fix -obsoletes_provides -rev-promote -sigsegv2
  patches (applied); updated -po.patch

Revision 1.177  2004/09/25 15:36:00  radek
- version 0.18.7, removed -{pkorder,sigsegv,caplookup} patches (applied)

Revision 1.176  2004/09/15 19:02:59  havner
- bconded distver patch
- rel 19

Revision 1.175  2004/09/14 15:04:58  mmazur
- rel 18

Revision 1.174  2004/09/14 14:34:32  mmazur
- req rpm-lib(distver), not rpmlib(distver)
- didn't bump release - first must try to workaround the 'unknown tag' problem

Revision 1.173  2004/09/13 21:52:10  mmazur
- req rpmlib(distver); rel 17; am sending to builders

Revision 1.172  2004/09/13 21:10:46  mmazur
- req new rpm (that with distver)

Revision 1.171  2004/09/12 18:14:01  mmazur
- rel 15; fixed a braino in distver.patch; stbr

Revision 1.170  2004/09/11 14:26:27  mmazur
- uncommented distver patch

Revision 1.169  2004/09/07 16:59:44  mmazur
- dist versioning support (commented out)

Revision 1.168  2004/09/07 15:09:49  adamg
- release 13

Revision 1.167  2004/08/27 19:59:05  arekm
- fixes from mis; segfault problem can't be tested because ftp changed already

Revision 1.166  2004/08/27 19:52:42  qboosh
- new version of obsoletes_provides patch, release 12

Revision 1.165  2004/08/26 10:34:35  qboosh
- works, release 11

Revision 1.164  2004/08/25 15:49:57  qboosh
- added rev-promote patch (should fix pango/gtk+2 upgrade problem, but needs testing)

Revision 1.163  2004/08/25 12:49:54  qboosh
- added obsoletes_provides patch from author, release 10

Revision 1.162  2004/08/13 13:56:43  qboosh
- added deps-fix patch from author, release 9

Revision 1.161  2004/08/10 10:48:34  paszczus
- added poldek-po.patch; release 8

Revision 1.160  2004/07/07 16:51:46  patrys
- re-added my progressbar patch
- rel. up to 7

Revision 1.159  2004/07/06 10:07:50  mmazur
- rel6; fixed 'equal version installed'

Revision 1.158  2004/07/05 15:16:24  mmazur
- rel5; fix for previous patch

Revision 1.157  2004/07/05 10:58:28  mmazur
- rel4; previous patch works

Revision 1.156  2004/07/05 10:24:22  mmazur
- patch from mis for upgrading/installing through provides; needs testing

Revision 1.155  2004/07/05 10:13:16  wolf
- fix segmentation violation
- rel 3

Revision 1.154  2004/07/02 17:36:33  qboosh
- added pkgorder patch, release 2

Revision 1.153  2004/06/29 12:37:19  areq
- 0.18.6

Revision 1.152  2004/06/24 13:01:14  pluto
- cosmetics.

Revision 1.151  2004/06/22 21:03:17  qboosh
- added obsoletes-fix2 patch, release 5

Revision 1.150  2004/06/08 18:52:29  qboosh
- added obsoletes-fix patch, release 4

Revision 1.149  2004/06/08 15:04:33  areq
- add pkgset.patch - fix install-dist
  http://cvs.pld.org.pl/installer/poldek/pkgset.c?r1=1.55.4.2&r2=1.55.4.3
- rel 3 - STBR AC

Revision 1.148  2004/06/06 22:25:55  wolf
- fixed progress bar width (patch from mis)
- rel 2

Revision 1.147  2004/06/03 11:50:42  adamg
- updated to 0.18.5
- removed types.patch (applied upstream)

Revision 1.146  2004/05/10 20:11:10  andree
- removed obsoleted poldek-ignorearch.patch

Revision 1.145  2004/05/10 19:48:11  qboosh
- removed obsolete cap_match_req-fix patch (don't apply it 2nd time)

Revision 1.144  2004/05/09 22:20:47  arekm
- updated to 0.18.4

Revision 1.143  2004/04/30 09:00:11  patrys
- fixed progress bar for transfers >999 <1024, STBR

Revision 1.142  2004/04/24 22:16:38  qboosh
- added types patch (fixes SEGV on 64-bit archs), release 10

Revision 1.141  2004/04/07 20:45:49  adamg
- Patches should always be included in SRPM

Revision 1.140  2004/04/02 10:39:44  patrys
- further progress bar changes

Revision 1.139  2004/03/21 20:48:59  mwinkler
- fixed static (only added requred libs for -static)

Revision 1.138  2004/03/21 20:21:12  averne
- changed patch number

Revision 1.137  2004/03/21 20:14:51  averne
- rel 8 for rebuild with new progress bar

Revision 1.136  2004/03/21 19:54:56  averne
- added new progress bar

Revision 1.135  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.134  2004/03/09 00:17:03  andree
- add as bcond_with ignarch (add ignorearch option - patch3)

Revision 1.133  2004/02/19 12:23:37  ankry
- reversed last change

Revision 1.131  2004/02/19 11:26:02  qboosh
- fixed trigger, updated Ra release in it; release 7

Revision 1.130  2004/02/19 07:18:52  qboosh
- removed outdated patches, added cap_match_req-fix patch from author
- release 6 (5 reserved for Ra)

Revision 1.129  2004/02/17 11:33:38  ankry
- contr-trigger for ra upgrade

Revision 1.128  2004/02/17 08:39:07  ankry
- rel.4: 3 is in ra

Revision 1.127  2004/01/15 12:16:43  jajcus
- Release: 2
- update config.sub in trurlib

Revision 1.126  2004/01/10 20:47:38  arekm
- correct tarball

Revision 1.125  2004/01/10 20:11:02  arekm
- updated to 0.18.3

Revision 1.124  2004/01/09 19:00:42  arekm
- updated to current version from stable poldek branch

Revision 1.123  2003/12/31 12:53:54  arekm
- added libselinux-devel to rpm-devel requires; removed from poldek br

Revision 1.122  2003/12/31 12:07:53  troll
- BR: libselinux-devel

Revision 1.121  2003/12/24 11:28:37  arekm
- allow proxy to cache data

Revision 1.120  2003/12/09 23:39:09  yoshi
- BR fix: /usr/bin/pod2man -> perl-tools-pod

Revision 1.119  2003/12/05 18:59:34  qboosh
- added unaligned patch to kill unaligned traps on alpha
  (and fix 64-bit time_t handling on more archs)
- release 17

Revision 1.118  2003/11/28 22:39:54  qboosh
- force switch to db4.2 and rpm built with it, release 16

Revision 1.117  2003/11/27 16:15:48  qboosh
- fixed epoch0 patch, release 15

Revision 1.116  2003/11/26 16:40:56  adgor
- Added ldb4.patch
- Release 14

Revision 1.115  2003/11/24 00:09:59  qboosh
- removed R: pcre (autogenerated)

Revision 1.114  2003/11/23 14:20:55  zytek
- R: pcre

Revision 1.113  2003/11/23 01:34:25  qboosh
- added epoch0 patch (follow rpm 4.2.1+: no Epoch means Epoch 0)
- release 13 (only for rpm 4.2.1+!)

Revision 1.112  2003/11/15 23:32:15  eothane
- bconds

Revision 1.111  2003/10/20 11:40:29  qboosh
- removed R: pcre - it is autogenerated

Revision 1.110  2003/10/17 23:58:01  havner
- R: openssl and R:pcre

Revision 1.109  2003/09/30 20:18:30  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.108  2003/09/02 13:58:59  mmazur
- rel 12 for ac... let's play

Revision 1.107  2003/08/18 21:38:54  arekm
- really apply patch5 (taken from poldek repo by ankry) and add another patch that fixes segfaults when rpmdb is a bit corrupted; rel 11

Revision 1.106  2003/07/16 12:24:41  ankry
- merge changes from cvs.pld.org.pl by mis and kloczek

Revision 1.105  2003/07/15 07:24:40  qboosh
- BR: gettext-autopoint is back

Revision 1.104  2003/06/30 08:05:20  serek
- more BR.

Revision 1.103  2003/06/19 20:10:26  qboosh
- updated etc_dir patch: s/ETC_DIR/HOME_ETC/, dots are back
- cleanups

Revision 1.102  2003/06/01 16:42:49  djrzulf
- md5 fixed,

Revision 1.101  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.100  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/05/19 14:17:57  wiget
- rebuild

Revision 1.98  2003/05/02 09:19:50  gotar
- added poldek-retr_term.patch,
- release 8.

Revision 1.97  2003/04/30 13:15:25  mis
- rpm 4.1 bugfix (rpm4.1-fix.patch); rel 7

Revision 1.96  2003/04/15 17:04:40  mis
- updated rpm-4.2 patch; release 6

Revision 1.95  2003/04/07 12:27:42  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.94  2003/04/02 10:37:44  mis
- rpm 4.2 patch
- commented out home_etc patch (juandon: please test it yourself,
  and if everything will works fine, uncomment)
- adapterized
- release 5

Revision 1.93  2003/03/27 22:29:28  malekith
- br ncurses-static if --with static

Revision 1.92  2003/03/16 22:03:50  migo
- BR: gettext-autopoint

Revision 1.91  2003/03/10 08:03:47  juandon
- added home_etc.patch
- Release 4.5
- Please test and if everything works fine, set integer release

Revision 1.90  2003/03/06 19:24:54  wiget
- added static.patch (fix --with static)
- remove gettext hack (not needed now)
- release 4

Revision 1.89  2003/02/19 12:24:12  malekith
- release 3; to rebuild on nest builders with new openssl

Revision 1.88  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.87  2003/02/09 23:32:56  undefine
- poldek-static br readline-static

Revision 1.86  2002/12/14 11:35:33  wrobell
- rel. 2

Revision 1.85  2002/12/11 00:18:56  wrobell
- rel. 1.1 to rebuild on nest/ppc

Revision 1.84  2002/12/08 01:16:00  martii
- added BR automake and autoconf

Revision 1.83  2002/11/27 19:46:36  mis
- updated to 0.18.1

Revision 1.82  2002/11/23 10:18:41  djrzulf
- STBR !
- Release 7,
- s/securirity/security/ at poldek.conf

Revision 1.81  2002/11/22 19:01:30  kloczek
- release 6: corrected ra-updates-* repositories paths.

Revision 1.80  2002/11/21 21:48:03  kloczek
- release 5: changes in default poldek.conf file:
-- added commneted ra-updates-general packages repository,
-- added uncommented ra-updates-security packages repository.

Revision 1.79  2002/11/14 19:26:27  mis
- yet another bugfix patch

Revision 1.78  2002/11/14 16:52:52  mis
- corrected name of the patch

Revision 1.77  2002/11/14 16:51:13  mis
- another bugfix patch; rel 4; stbr

Revision 1.76  2002/11/12 20:23:56  jack
- Changed location of Ra+2.4.1{8,9} packs for i686. Now they are in the same place as i586 - I think macro in poldek.spec should replace i686 to proper %target_cpu, so please check it first
- bumped release.

Revision 1.75  2002/11/12 12:34:55  mis
- +poldek-vfprogress.patch; release 2

Revision 1.74  2002/11/09 15:11:33  qboosh
- removed BR: db3-devel - db version is determined by rpm

Revision 1.73  2002/11/08 21:52:57  kloczek
- s/db/db3/ in BuildRequires rules.

Revision 1.72  2002/11/07 18:17:55  mis
- updated to 0.18

Revision 1.71  2002/10/28 16:12:52  zytek
- rel++, removed GNOME2-Pack from poldek.conf

Revision 1.70  2002/10/20 18:23:03  mmazur
- from DEVEL

Revision 1.69.2.3  2002/10/15 17:17:26  misiek
- new fixed from mis; rel 2

Revision 1.69.2.2  2002/10/15 08:13:54  wiget
- now compiles

Revision 1.69.2.1  2002/10/14 12:25:45  misiek
- rpm4 snap

Revision 1.69.2.39  2005/06/26 12:31:06  speedy
- BR: home-etc-devel

Revision 1.69.2.38  2005/06/25 11:10:19  paszczus
- added snap version to previous commit

Revision 1.69.2.37  2005/06/25 10:36:32  averne
- updated [20050613.22]

Revision 1.69.2.36  2005/05/15 19:31:20  wolf
- 20050515.19

Revision 1.69.2.35  2005/05/05 21:40:33  wiget
- workaround for fopencookie() in glibc 2.3.5
- release 0.snap.2

Revision 1.69.2.34  2005/04/27 21:52:17  wolf
- 20050426.21

Revision 1.69.2.33  2005/04/12 19:48:08  patrys
- up to 20050410.16 snapshot

Revision 1.69.2.32  2005/02/20 02:08:44  gotar
- BR: libtool

Revision 1.69.2.31  2004/12/16 10:30:51  pluto
- updated to 0.19.0-cvs20041215.21 (uninstall bug fixed).

Revision 1.69.2.30  2004/12/15 10:40:10  pluto
- updated to 0.19.0-snap20041213.21.

Revision 1.69.2.29  2004/12/14 15:14:22  pluto
- gcc4 fixes.

Revision 1.69.2.28  2004/12/09 23:34:55  wolf
- capreq

Revision 1.69.2.27  2004/10/17 07:46:29  gotar
- trigger has gone, so removed R: ed

Revision 1.69.2.26  2004/10/11 20:36:58  wiget
- updated 0.19.0-cvs20041011.21

Revision 1.69.2.25  2004/10/09 10:57:36  wolf
- remove obsolete links

Revision 1.69.2.24  2004/10/08 19:04:53  patrys
- updated for latest snapshot - 20041008.17

Revision 1.69.2.23  2004/10/06 15:36:34  patrys
- updated for most recent snapshot

Revision 1.69.2.22  2004/10/06 10:02:02  wiget
- added apt mode "binaries"

Revision 1.69.2.21  2004/10/06 09:38:36  wiget
- updated to 20041005.23 snapshot

Revision 1.69.2.20  2004/10/03 16:29:34  wolf
- 20041003.16

Revision 1.69.2.19  2004/10/02 21:18:44  arekm
- updated

Revision 1.69.2.18  2004/10/02 13:26:58  arekm
- snap update

Revision 1.69.2.17  2004/10/02 10:01:43  arekm
- new snap

Revision 1.69.2.16  2004/10/01 17:07:41  gotar
- fixed arch rewriting once more

Revision 1.69.2.15  2004/10/01 13:00:04  arekm
- regenerated

Revision 1.69.2.14  2004/09/30 19:28:13  arekm
- updated to 20040930

Revision 1.69.2.13  2004/09/29 14:29:38  wolf
- fix building on gcc 3.4.x

Revision 1.69.2.12  2004/09/29 07:33:08  gotar
- fixed arch rewriting

Revision 1.69.2.11  2004/09/28 21:31:12  arekm
- repackaged

Revision 1.69.2.10  2004/09/28 18:37:16  arekm
- include all configs

Revision 1.69.2.9  2004/09/28 17:57:08  arekm
- FIRST POLDEK2 SNAPSHOT

Revision 1.69.2.8  2004/04/24 22:17:41  qboosh
- added types patch (fixes SEGV on 64-bit archs), release .2

Revision 1.69.2.7  2004/03/23 19:41:03  arekm
- updated to snapshot 20040323 (mis fixed 3 deps related bugs)

Revision 1.69.2.6  2004/02/25 20:44:11  arekm
- capreq patch not needed (said mis)

Revision 1.69.2.5  2004/02/24 23:29:12  arekm
20040224 snap

Revision 1.133  2004/02/19 12:23:37  ankry
- reversed last change

Revision 1.131  2004/02/19 11:26:02  qboosh
- fixed trigger, updated Ra release in it; release 7

Revision 1.130  2004/02/19 07:18:52  qboosh
- removed outdated patches, added cap_match_req-fix patch from author
- release 6 (5 reserved for Ra)

Revision 1.129  2004/02/17 11:33:38  ankry
- contr-trigger for ra upgrade

Revision 1.128  2004/02/17 08:39:07  ankry
- rel.4: 3 is in ra

Revision 1.127  2004/01/15 12:16:43  jajcus
- Release: 2
- update config.sub in trurlib

Revision 1.126  2004/01/10 20:47:38  arekm
- correct tarball

Revision 1.125  2004/01/10 20:11:02  arekm
- updated to 0.18.3

Revision 1.124  2004/01/09 19:00:42  arekm
- updated to current version from stable poldek branch

Revision 1.123  2003/12/31 12:53:54  arekm
- added libselinux-devel to rpm-devel requires; removed from poldek br

Revision 1.122  2003/12/31 12:07:53  troll
- BR: libselinux-devel

Revision 1.121  2003/12/24 11:28:37  arekm
- allow proxy to cache data

Revision 1.120  2003/12/09 23:39:09  yoshi
- BR fix: /usr/bin/pod2man -> perl-tools-pod

Revision 1.119  2003/12/05 18:59:34  qboosh
- added unaligned patch to kill unaligned traps on alpha
  (and fix 64-bit time_t handling on more archs)
- release 17

Revision 1.118  2003/11/28 22:39:54  qboosh
- force switch to db4.2 and rpm built with it, release 16

Revision 1.117  2003/11/27 16:15:48  qboosh
- fixed epoch0 patch, release 15

Revision 1.116  2003/11/26 16:40:56  adgor
- Added ldb4.patch
- Release 14

Revision 1.115  2003/11/24 00:09:59  qboosh
- removed R: pcre (autogenerated)

Revision 1.114  2003/11/23 14:20:55  zytek
- R: pcre

Revision 1.113  2003/11/23 01:34:25  qboosh
- added epoch0 patch (follow rpm 4.2.1+: no Epoch means Epoch 0)
- release 13 (only for rpm 4.2.1+!)

Revision 1.112  2003/11/15 23:32:15  eothane
- bconds

Revision 1.111  2003/10/20 11:40:29  qboosh
- removed R: pcre - it is autogenerated

Revision 1.110  2003/10/17 23:58:01  havner
- R: openssl and R:pcre

Revision 1.109  2003/09/30 20:18:30  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.108  2003/09/02 13:58:59  mmazur
- rel 12 for ac... let's play

Revision 1.107  2003/08/18 21:38:54  arekm
- really apply patch5 (taken from poldek repo by ankry) and add another patch
  that fixes segfaults when rpmdb is a bit corrupted; rel 11

Revision 1.106  2003/07/16 12:24:41  ankry
- merge changes from cvs.pld.org.pl by mis and kloczek

Revision 1.105  2003/07/15 07:24:40  qboosh
- BR: gettext-autopoint is back

Revision 1.104  2003/06/30 08:05:20  serek
- more BR.

Revision 1.103  2003/06/19 20:10:26  qboosh
- updated etc_dir patch: s/ETC_DIR/HOME_ETC/, dots are back
- cleanups

Revision 1.102  2003/06/01 16:42:49  djrzulf
- md5 fixed,

Revision 1.101  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.100  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/05/19 14:17:57  wiget
- rebuild

Revision 1.98  2003/05/02 09:19:50  gotar
- added poldek-retr_term.patch,
- release 8.

Revision 1.97  2003/04/30 13:15:25  mis
- rpm 4.1 bugfix (rpm4.1-fix.patch); rel 7

Revision 1.96  2003/04/15 17:04:40  mis
- updated rpm-4.2 patch; release 6

Revision 1.95  2003/04/07 12:27:42  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.94  2003/04/02 10:37:44  mis
- rpm 4.2 patch
- commented out home_etc patch (juandon: please test it yourself,
  and if everything will works fine, uncomment)
- adapterized
- release 5

Revision 1.93  2003/03/27 22:29:28  malekith
- br ncurses-static if --with static

Revision 1.92  2003/03/16 22:03:50  migo
- BR: gettext-autopoint

Revision 1.91  2003/03/10 08:03:47  juandon
- added home_etc.patch
- Release 4.5
- Please test and if everything works fine, set integer release

Revision 1.90  2003/03/06 19:24:54  wiget
- added static.patch (fix --with static)
- remove gettext hack (not needed now)
- release 4

Revision 1.89  2003/02/19 12:24:12  malekith
- release 3; to rebuild on nest builders with new openssl

Revision 1.88  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.87  2003/02/09 23:32:56  undefine
- poldek-static br readline-static

Revision 1.86  2002/12/14 11:35:33  wrobell
- rel. 2

Revision 1.85  2002/12/11 00:18:56  wrobell
- rel. 1.1 to rebuild on nest/ppc

Revision 1.84  2002/12/08 01:16:00  martii
- added BR automake and autoconf

Revision 1.83  2002/11/27 19:46:36  mis
- updated to 0.18.1

Revision 1.82  2002/11/23 10:18:41  djrzulf
- STBR !
- Release 7,
- s/securirity/security/ at poldek.conf

Revision 1.81  2002/11/22 19:01:30  kloczek
- release 6: corrected ra-updates-* repositories paths.

Revision 1.80  2002/11/21 21:48:03  kloczek
- release 5: changes in default poldek.conf file:
- added commneted ra-updates-general packages repository,
- added uncommented ra-updates-security packages repository.

Revision 1.79  2002/11/14 19:26:27  mis
- yet another bugfix patch

Revision 1.78  2002/11/14 16:52:52  mis
- corrected name of the patch

Revision 1.77  2002/11/14 16:51:13  mis
- another bugfix patch; rel 4; stbr

Revision 1.76  2002/11/12 20:23:56  jack
- Changed location of Ra+2.4.1{8,9} packs for i686. Now they are in the same
  place as i586 - I think macro in poldek.spec should replace i686 to proper
  %target_cpu, so please check it first
- bumped release.

Revision 1.75  2002/11/12 12:34:55  mis
- +poldek-vfprogress.patch; release 2

Revision 1.74  2002/11/09 15:11:33  qboosh
- removed BR: db3-devel - db version is determined by rpm

Revision 1.73  2002/11/08 21:52:57  kloczek
- s/db/db3/ in BuildRequires rules.

Revision 1.72  2002/11/07 18:17:55  mis
- updated to 0.18

Revision 1.71  2002/10/28 16:12:52  zytek
- rel++, removed GNOME2-Pack from poldek.conf

Revision 1.70  2002/10/20 18:23:03  mmazur
- from DEVEL

Revision 1.69.2.3  2002/10/15 17:17:26  misiek
- new fixed from mis; rel 2

Revision 1.69.2.2  2002/10/15 08:13:54  wiget
- now compiles

Revision 1.69.2.1  2002/10/14 12:25:45  misiek
- rpm4 snap

Revision 1.69  2002/10/11 12:11:18  gotar
- typo

Revision 1.68  2002/10/05 11:26:27  gotar
- added Requires: sed (cdid function in vfjuggle)

Revision 1.67  2002/09/20 16:24:01  mis
- updated to 0.17.9; fixed 'sed s/i686/ARCH/' problem; STBR

Revision 1.66  2002/09/11 22:13:05  jack
- Bumped release coz modified poldek.conf (corrected and added sources to Ra-Pack)
- STB, please

Revision 1.65  2002/09/06 12:24:35  blues
- release 3 - removed KDE3-Pack from poldek.conf - STBR after moving KDE3
  from /test

Revision 1.64  2002/08/25 00:26:03  qboosh
- GPL v2

Revision 1.63  2002/08/24 22:57:29  krzak
- fixed source URL
- release 2

Revision 1.62  2002/08/22 16:16:10  mis
- updated to 0.17.8

Revision 1.61  2002/08/08 13:23:37  qboosh
- typo patch: fix for typo in pl.po
- epoch patch: fix for Epoch-related bug in obsoletes processing
  (broke ls -u cache, processing orphaned packages and probably greedy option)
- release 2 (better /test first...)

Revision 1.60  2002/06/14 16:16:00  mis
- updated to 0.17.7

Revision 1.59  2002/06/08 21:55:15  undefine
- poldek static requires pcre-static and db1-static

Revision 1.58  2002/06/08 20:58:34  filon
- added missiong lanaguage files (using find_lang)
- new %doc
- release 2

Revision 1.57  2002/06/03 15:56:44  mis
- updated to 0.17.6

Revision 1.56  2002/05/15 18:12:55  mis
- updated to 0.17.5; stbr

Revision 1.55  2002/05/06 17:05:06  mis
- update to 0.17.4
- temporary removed linking with sys installed trurlib cause to its
  frequent changes

Revision 1.54  2002/04/23 09:43:08  mis
- STBR

Revision 1.53  2002/04/21 16:38:25  mis
- updated to 0.17.3

Revision 1.52  2002/04/09 12:20:44  malekith
- patch should be applaied, not only included :)

Revision 1.51  2002/04/09 12:16:40  malekith
- rel 3
- added patch that fixes bug in handling vfjuggle

Revision 1.50  2002/04/06 12:08:39  malekith
- added --without curl bcond

Revision 1.49  2002/04/04 09:13:51  orzech
- added ra-supported to poldek.conf, STBR

Revision 1.48  2002/03/29 01:26:32  mis
- updated to 0.17.2

Revision 1.47  2002/03/27 12:13:50  mis
- pl description corrections

Revision 1.46  2002/03/27 10:24:09  mis
- fixed source URL; added URL tag

Revision 1.45  2002/03/27 10:21:16  mis
- PLD poldek.conf moved (and fixed) to SOURCES; rel 2; stbr

Revision 1.44  2002/03/26 23:42:02  mis
- updated to 0.17.1

Revision 1.43  2002/03/26 00:11:34  mis
- fixed preparation of poldek.conf

Revision 1.42  2002/03/25 23:52:50  mis
- updated to 0.17

Revision 1.41  2002/03/16 12:30:36  malekith
- removed BOOT
- --without imode bcond added
- more pl desc

Revision 1.40  2002/03/15 11:48:21  mis
- requires trurlib 0.43.4; rel 3; STBR as soon as possible

Revision 1.39  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/11 23:19:47  qboosh
- BR popt-devel, popt-static only when building statically
- adapterized, release 2

Revision 1.36  2002/01/31 09:41:06  mis
- added 'static' bcond

Revision 1.35  2002/01/30 18:29:45  mis
- autoupdated to 0.16

Revision 1.34  2002/01/18 02:14:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/11 16:43:51  mis
- autoupdated to 0.15.9

Revision 1.32  2001/10/29 11:13:45  mis
- autoupdated to 0.15.8

Revision 1.31  2001/10/11 15:10:27  mis
- fixed source URL; release 2 (may be STB)

Revision 1.30  2001/10/10 14:41:10  mis
- updated to 0.15.7; STB

Revision 1.29  2001/09/20 10:10:14  mis
- STB

Revision 1.28  2001/09/13 10:06:23  filon
- rebuild with optimized zlib-static, release 2

Revision 1.27  2001/09/12 16:33:33  mis
- trurlib 0.43.3 is needed

Revision 1.26  2001/09/12 16:28:04  mis
- updated to 0.15.6
- added global config

Revision 1.25  2001/08/28 12:06:58  filon
- chagded BuildReq: pod2man to perl-devel

Revision 1.24  2001/08/22 17:30:39  filon
- changed BuilReq:/usr/bin/pod2man to pod2man

Revision 1.23  2001/07/20 16:42:27  mis
- updated to 0.15.5

Revision 1.22  2001/07/17 16:12:09  mis
- updated to 0.15.4

Revision 1.21  2001/07/16 20:32:30  kloczek
- reorder BuildRequires rules.

Revision 1.20  2001/07/16 18:38:31  kloczek
- added rpm-static to BuildRequires if %{BOOT}.

Revision 1.19  2001/07/16 15:19:03  mis
- updated to 0.15.3

Revision 1.18  2001/07/13 15:18:20  mis
- updated to 0.15.2

Revision 1.17  2001/06/28 14:28:13  mis
- updated to 0.15.1

Revision 1.16  2001/06/27 19:20:27  klakier
- removed rpmvercmp from -BOOT
- added debug options to -BOOT (do not work, though))

Revision 1.15  2001/06/27 18:32:55  klakier
- removed -m386

Revision 1.14  2001/06/27 18:09:22  mis
- updated to 0.15

Revision 1.13  2001/06/18 11:31:31  mis
- updated to 0.14.1

Revision 1.12  2001/06/12 18:14:19  mis
- updated to 0.14

Revision 1.11  2001/05/22 23:29:59  klakier
- added -m386 to BOOT

Revision 1.10  2001/05/21 13:27:54  klakier
- more buildrequires

Revision 1.9  2001/05/18 22:28:24  serek
- popt-static added to buildrequires.

Revision 1.8  2001/05/18 18:58:16  mis
- autoupdated to 0.13

Revision 1.7  2001/05/18 12:31:56  roman
- added polish Summary and %description.

Revision 1.6  2001/05/11 14:06:55  klakier
- fixed BuildRequires

Revision 1.5  2001/04/27 20:09:10  kloczek
- finam cleanups.

Revision 1.4  2001/04/27 14:24:43  wiget
- fix buildrequires

Revision 1.3  2001/04/27 14:08:11  klakier
- removed rpmvercmp from BOOT

Revision 1.2  2001/04/23 11:43:26  klakier
- ver 0.12
- added BOOT package

Revision 1.1  2000/09/25 00:00:09  mis
- initial version
